Name:           python-barman
Version:        3.12.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Backup and Recovery Manager for PostgreSQL

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        GPL-3.0-or-later
URL:            https://www.pgbarman.org/
Source:         %{pypi_source barman}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'barman' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-barman
Summary:        %{summary}

%description -n python3-barman %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-barman argcomplete,aws-snapshots,azure,azure-snapshots,cloud,google,google-snapshots,lz4,snappy,zstandard


%prep
%autosetup -p1 -n barman-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x argcomplete,aws-snapshots,azure,azure-snapshots,cloud,google,google-snapshots,lz4,snappy,zstandard


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-barman -f %{pyproject_files}


%changelog
%autochangelog